PLaSK library

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
plask::EmptyBoundaryImpl Struct Reference

Implementation of empty boundary logic. More...

`#include <plask/mesh/boundary.hpp>`

Inheritance diagram for plask::EmptyBoundaryImpl:
[legend]
Collaboration diagram for plask::EmptyBoundaryImpl:
[legend]

## Classes
struct | IteratorImpl

## Public Member Functions
bool | contains (std::size_t PLASK_UNUSED(mesh_index)) const override
BoundaryNodeSetImpl::const_iterator | begin () const override
| Get begin iterator over boundary points.
BoundaryNodeSetImpl::const_iterator | end () const override
| Get end iterator over boundary points.
std::size_t | size () const override
| Get number of points in this boundary.
bool | empty () const override
| Check if this represents empty set of indexes.
Public Member Functions inherited from plask::BoundaryNodeSetImpl
virtual | ~BoundaryNodeSetImpl ()
virtual bool | contains (std::size_t mesh_index) const =0
| Check if boundary contains point with given index.

## Additional Inherited Members
Public Types inherited from plask::BoundaryNodeSetImpl
typedef PolymorphicForwardIteratorImpl< std::size_t, std::size_t > | IteratorImpl
| Base class for boundary iterator implementation.
typedef PolymorphicForwardIterator< IteratorImpl > | Iterator
| Boundary iterator type.
typedef Iterator | const_iterator
| iterator over indexes of mesh
typedef const_iterator | iterator

## Detailed Description

Implementation of empty boundary logic.

This boundary represents an empty set of indices.

Definition at line 254 of file boundary.hpp.

## Member Function Documentation

## ◆ begin()

BoundaryNodeSetImpl::const_iterator plask::EmptyBoundaryImpl::begin | ( |  | ) | const
| inline override virtual

Get begin iterator over boundary points.

Returns
  begin iterator over boundary points

Implements plask::BoundaryNodeSetImpl.

Definition at line 276 of file boundary.hpp.

## ◆ contains()

bool plask::EmptyBoundaryImpl::contains | ( | std::size_t | PLASK_UNUSEDmesh_index | ) | const
| inline override

Definition at line 274 of file boundary.hpp.

## ◆ empty()

bool plask::EmptyBoundaryImpl::empty | ( |  | ) | const
| inline override virtual

Check if this represents empty set of indexes.

Returns
  `true` only if this represents empty set of indexes

Reimplemented from plask::BoundaryNodeSetImpl.

Definition at line 288 of file boundary.hpp.

## ◆ end()

BoundaryNodeSetImpl::const_iterator plask::EmptyBoundaryImpl::end | ( |  | ) | const
| inline override virtual

Get end iterator over boundary points.

Returns
  end iterator over boundary points

Implements plask::BoundaryNodeSetImpl.

Definition at line 280 of file boundary.hpp.

## ◆ size()

std::size_t plask::EmptyBoundaryImpl::size | ( |  | ) | const
| inline override virtual

Get number of points in this boundary.

Default implementation just use std::distance(begin(), end()) which iterates over all indexes and can be slow, so this is often reimplemented in subclasses.

Returns
  number of points in this boundary

Reimplemented from plask::BoundaryNodeSetImpl.

Definition at line 284 of file boundary.hpp.

The documentation for this struct was generated from the following file:

- plask/mesh/boundary.hpp